echo "MAKING ICONS"

#-----------------------------------------
echo "making 60x60"
rm Icon-60.png
cp app-icon.png Icon-60.png
mogrify -scale 60x60 Icon-60.png

echo "making 120x120"
rm Icon-60@2x.png
cp app-icon.png Icon-60@2x.png
mogrify -scale 120x120 Icon-60@2x.png

echo "making 180x180"
rm Icon-72@3x.png
cp app-icon.png Icon-72@3x.png
mogrify -scale 180x180 Icon-72@3x.png

#------------------------------------------
echo "making 72x72"
rm Icon-72.png
cp app-icon.png Icon-72.png
mogrify -scale 72x72 Icon-72.png

rm Icon-72.png
cp app-icon.png Icon-72.png
mogrify -scale 72x72 Icon-72.png

echo "making 144x144"
rm Icon-72@2x.png
cp app-icon.png Icon-72@2x.png
mogrify -scale 144x144 Icon-72@2x.png

#------------------------------------------

echo "making 76x76"
rm Icon-76.png
cp app-icon.png Icon-76.png
mogrify -scale 76x76 Icon-76.png

echo "making 152x152"
rm Icon-76@2x.png
cp app-icon.png Icon-76@2x.png
mogrify -scale 152x152 Icon-76@2x.png

#------------------------------------------

echo "making 40x40"
rm Icon-Small-40.png
cp app-icon.png Icon-Small-40.png
mogrify -scale 40x40 Icon-Small-40.png

echo "making 80x80"
rm Icon-Small-40@2x.png
cp app-icon.png Icon-Small-40@2x.png
mogrify -scale 80x80 Icon-Small-40@2x.png

echo "making 120x120"
rm Icon-Small-40@3x.png
cp app-icon.png Icon-Small-40@3x.png
mogrify -scale 120x120 Icon-Small-40@3x.png

#------------------------------------------

echo "making 50x50"
rm Icon-Small-50.png
cp app-icon.png Icon-Small-50.png
mogrify -scale 50x50 Icon-Small-50.png

echo "making 100x100"
rm Icon-Small-50@2x.png
cp app-icon.png Icon-Small-50@2x.png
mogrify -scale 100x100 Icon-Small-50@2x.png

#------------------------------------------

echo "making 29x29"
rm Icon-Small.png
cp app-icon.png Icon-Small.png
mogrify -scale 29x29 Icon-Small.png

echo "making 58x58"
rm Icon-Small@2x.png
cp app-icon.png Icon-Small@2x.png
mogrify -scale 58x58 Icon-Small@2x.png

echo "making 87x87"
rm Icon-Small@3x.png
cp app-icon.png Icon-Small@3x.png
mogrify -scale 87x87 Icon-Small@3x.png

#------------------------------------------

echo "making 57x57"
rm Icon.png
cp app-icon.png Icon.png
mogrify -scale 57x57 Icon.png

echo "making 114x114"
rm Icon@2x.png
cp app-icon.png Icon@2x.png
mogrify -scale 114x114 Icon@2x.png

echo "making 180x180"
rm Icon-60@3x.png
cp app-icon.png Icon-60@3x.png
mogrify -scale 180x180 Icon-60@3x.png

#------------------------------------------

echo "making hdpi (72x72)"
rm Icon-hdpi.png
cp app-icon.png Icon-hdpi.png
mogrify -scale 72x72 Icon-hdpi.png

echo "making ldpi (36x36)"
rm Icon-ldpi.png
cp app-icon.png Icon-ldpi.png
mogrify -scale 36x36 Icon-ldpi.png

echo "making mdpi (48x48)"
rm Icon-mdpi.png
cp app-icon.png Icon-mdpi.png
mogrify -scale 48x48 Icon-mdpi.png

echo "making xhdpi (96x96)"
rm Icon-xhdpi.png
cp app-icon.png Icon-xhdpi.png
mogrify -scale 96x96 Icon-xhdpi.png

echo "making xxhdpi (144x144)"
rm Icon-xxhdpi.png
cp app-icon.png Icon-xxhdpi.png
mogrify -scale 144x144 Icon-xxhdpi.png

echo "making xxxhdpi (192x192)"
rm Icon-xxxhdpi.png
cp app-icon.png Icon-xxxhdpi.png
mogrify -scale 192x192 Icon-xxxhdpi.png


